%define module_name File-Locate-Iterator
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Devel/TimeThis.pm) perl(ExtUtils/MakeMaker.pm) perl(File/FnMatch.pm) perl(File/Map.pm) perl(HTML/Entities.pm) perl(IO/String.pm) perl(IPC/Run.pm) perl(Iterator.pm) perl(Iterator/Simple.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Iterator/Array.pm) perl(MooseX/Iterator/Hash.pm) perl(MooseX/Iterator/Meta/Iterable.pm) perl(MooseX/Iterator/Role.pm) perl(Perl6/Slurp.pm) perl(PerlIO/Layers.pm) perl(PerlIO/via/Base64.pm) perl(Pod/Simple/HTML.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Sys/Mmap.pm) perl(Taint/Util.pm) perl(Test/More.pm) perl(Text/Glob.pm) perl(constant/defer.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 28
Release: alt4
Summary: Read "locate" database file with an iterator.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/file-locate-iterator/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz

%description
`File::Locate::Iterator' reads a "locate" database file in iterator style.
Each `next()' call on the iterator returns the next entry from the
database.

    /
    /bin
    /bin/bash
    /bin/cat

Locate databases normally hold filenames as a way of finding files by name
faster than searching through all directories.  Optional glob, suffix and
regexp options on the iterator can restrict the entries returned.

See examples/native.pl in the File-Locate-Iterator sources for a simple
sample read, or examples/mini-locate.pl for a whole locate program
simulation.

Only "LOCATE02" format files are supported, as per current versions of GNU
`locate', not the previous "slocate" format.

Iterators from this module are stand-alone, they don't need any of the
various Perl iterator frameworks.  But see the Iterator::Locate manpage,
the Iterator::Simple::Locate manpage and the MooseX::Iterator::Locate manpage to inter-operate
with those frameworks.  Those frameworks include ways to grep, map and
otherwise manipulate iterations.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README COPYING examples
%perl_vendor_archlib/F*
%perl_vendor_archlib/M*
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 28-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 28-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 28-alt2
- rebuild with perl 5.30

* Mon Nov 18 2019 Igor Vlasenko <viy@altlinux.ru> 28-alt1
- updated by package builder

* Wed Feb 27 2019 Igor Vlasenko <viy@altlinux.ru> 26-alt1
- updated by package builder

* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 25-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 23-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 23-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 23-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 23-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 23-alt2
- rebuild to get rid of unmets

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 23-alt1
- regenerated from template by package builder

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 22-alt1
- initial import by package builder

